#include "sys.h"
#include "delay.h"
#include "usart.h"
#include "key.h"  
#include "epaper.h"  
#include "stm32f4xx.h"
#include "timer.h"
#include "text.h"	


void RAM_Init(void)
{

	
}

int main(void)
{        
	u16 i;
	
	LED_Init();
	DIP_Switch_Init();
	Epaper_Init();
	TIM3_Int_Init(10-1,8400-1);	//定时器时钟84M，分频系数8400，所以84M/8400=10Khz的计数频率，计数10次为1ms

	Judge_Display();
	
	EPD_PowerOff(); 
	EPD_Init();
	make_wave_table();

	for(i=0;i<2;i++)
	{
		if(u_test == 1)
			u_test = 0;
		else
			u_test = 1;

		EPD_Display_PIC();				//显示图片	

		Delay(0x8000000);
	}
	

	while(1);

}


